/*)LIBRARY
*/

#include	<rsts.h>

rs_close(channel)
int		channel;		/* Channel to close		*/
/*
 * Close a channel for rsts/e.  Note:
 *	channel >  0	Close this channel
 *	channel == 0	Reset all channels
 *	channel <  0	Reset this channel
 */
{
	clrxrb();
	clrfqb();
	if (channel > 0) {
		firqb.fqfun	= CLSFQ;
		firqb.fqfil	= channel * 2;
	}
	else {
		firqb.fqfun	= RSTFQ;
		firqb.fqfil	= (-channel) * 2;
	}
	return(rstsys(CALFIP));
}
